# Uses of Interface
org.eclipse.emf.cdo.view.CDOAdapterPolicy

Packages that use CDOAdapterPolicy
Package
Description
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOAdapterPolicy in org.eclipse.emf.cdo.view

Fields in org.eclipse.emf.cdo.view declared as CDOAdapterPolicy
Modifier and Type
Field
Description
`static final CDOAdapterPolicy`
CDOAdapterPolicy.`ALL`
A default adapter policy that always triggers special behavior.
`static final CDOAdapterPolicy`
CDOAdapterPolicy.`CDO`
A default adapter policy that only triggers special behavior if the adapter under test implements `CDOAdapter`.
`static final CDOAdapterPolicy`
CDOAdapterPolicy.`NONE`
A default adapter policy that never triggers any special behavior.
Methods in org.eclipse.emf.cdo.view that return CDOAdapterPolicy
Modifier and Type
Method
Description
`CDOAdapterPolicy[]`
CDOView.Options.`getChangeSubscriptionPolicies()`
Returns the current set of `change subscription policies`.
`CDOAdapterPolicy`
CDOView.Options.`getClearAdapterPolicy()`
`CDOAdapterPolicy`
CDOViewSet.`getDefaultClearAdapterPolicy()`
`CDOAdapterPolicy`
CDOView.Options.`getStrongReferencePolicy()`
Returns the strong reference policy in use.
Methods in org.eclipse.emf.cdo.view with parameters of type CDOAdapterPolicy
Modifier and Type
Method
Description
`void`
CDOView.Options.`addChangeSubscriptionPolicy(CDOAdapterPolicy policy)`
Adds a change subscription policy to this view.
`void`
CDOView.Options.`removeChangeSubscriptionPolicy(CDOAdapterPolicy policy)`
Removes a change subscription policy from this view.
`void`
CDOView.Options.`setClearAdapterPolicy(CDOAdapterPolicy policy)`
`void`
CDOViewSet.`setDefaultClearAdapterPolicy(CDOAdapterPolicy defaultClearAdapterPolicy)`
`void`
CDOView.Options.`setStrongReferencePolicy(CDOAdapterPolicy policy)`
Sets the policy that determines what object/adapter pairs of this `view` are supposed to be protected against garbage collection.

## Uses of CDOAdapterPolicy in org.eclipse.emf.spi.cdo

Classes in org.eclipse.emf.spi.cdo that implement CDOAdapterPolicy
Modifier and Type
Class
Description
`static class`
`AbstractObjectConflictResolver.MergeLocalChangesPerFeature`
Deprecated.
As of 4.0 use CDOMergingConflictResolver
`static class`
`AbstractObjectConflictResolver.ThreeWayMerge`
If the meaning of this type isn't clear, there really should be more of a description here...